﻿using System;
using System.Collections.Generic;
using Telerik.Windows.Controls;

namespace TreeViewHyperlinkButtonExample
{
    public class MainViewModel : ViewModelBase
    {
        public MainViewModel()
        {
            this.HyperlinkButtons = new List<HyperlinkDataItem>();

            for (int i = 0; i < 5; i++)
            {
                this.HyperlinkButtons.Add(new HyperlinkDataItem("Click here to learn about Silverlight", new Uri("http://www.silverlight.net")));   
            }            
        }
                
        private IList<HyperlinkDataItem> hyperlinkButtons;
        public IList<HyperlinkDataItem> HyperlinkButtons
        {
            get
            {
                return this.hyperlinkButtons;
            }
            set
            {
                if (this.hyperlinkButtons != value)
                {
                    this.hyperlinkButtons = value;
                    this.OnPropertyChanged("HyperlinkButtons");
                }
            }
        }
        
    }
}
